                      Computer Science 825
                           Quiz 9          Name _______________________


1. The address byte in an SDLC packet always carries the address of

   a. The sender                 b. The receiver

   c. The primary station.       d. The secondary station.

2. Select the description which most accurately matches the use of
   the P/F bit in SDLC.

   a. 1 -> Poll and 0 -> Final    b. The bit means poll or not poll
                                     when a secodary sends final or
                                     not final when a primary sends.

   c. The bit means poll or not   d. The bit means poll or not poll
      poll to the sender final       when the primary sends final or
      or not final to the receiver   not final when a secondary sends.


3. Unnumbered frames in SDLC carry

   a. Both sequence numbers and    b. Sequence numbers but no ack
      ack numbers.                    numbers

   c. Ack numbers but no sequence  d. No numbers at all.
      numbers.

4. Which of the following is NOT a use of supervisory frames in SDLC

   a. Sending a standalone ack     b. Seeing if another station is
                                      back up after a crash.

   b. Polling                      d. Telling another station to
                                      temporarily stop sending.


5. Which of the following messages has suitable semantics for the
   unnumbered protocol. Hint: This question is NOT asking what
   specific frame types are in SDLC.  It IS asking what limitations
   are on the semantics of messages in protocols in which frames
   and acks carry no numbers.

   a. Set current seq # to 0.      b. Add 1 to current seq #.

   c. Both a and b.                d. Neither a nor b.

6. Suppose unnumbered frames were given sequence numbers and ACK numbers
   just like data frames and that the receiver of an out of sequence
   unnumbered frame would discard it just as it would an out of sequence
   data frame. Would this make the functions performed with unnum frames
   work:

   a. Much better and more         b. Work worse and less reliably.
      reliably.

   c. Make no appreciable difference.

7. Identify the class of service provided to the transport layer
   by each of the following network layers.


   ___ a. IBM SNA                 a. Unreliable connection oriented

   ___ b. Internet Protocol       b. Reliable connection oriented

   ___ c. BISDN (ATM)             c. Unreliable connectionless

                                  d. Reliable connectionless

8. The relationship between error rate and the desirability of using
   a reliable connection oriented network layer versus an unreliable
   datagram oriented network layer is that:

   a. Many hops with high error     b. Many hops with high error
      rates favors datagram service    rates favors reliable connection
                                       oriented service.

   c. The number of hops and the
      error rates have no particular
      effect.


Suppose the probability of succeeding at a given endeavor is "p".
Then it is easy to show that the expected number of attempts needed
to achieve success is 1/p.

Suppose two stations are connected by a path that is N hops long and
the probability of a successful transmission over each hop is p.

9. The expected number of total transmissions to get a packet from
   one end to the other if a reliable network layer is used is:
   (The reliable network repeats transmissions at each hop until it
    succeeds).

   a. 1 / p                          b. 1 / Np

   c. N / p                          d. p / N

10. The expected number of total transmissions to get a packet from
    one end to the other if an unreliable network layer is used is:
    The unreliable network layer just discards failed transmissions
    and depends on the transport layer to start over from the beginning
    if a packet doesn't succeed in making the whole trip)

   a. 1 / p^N                        b. N / (2 p ^ N)

   c. N ^ p / 2 ^ N                  d. N ^ p / p






